Name: transfig
Version: 3.2.4
Release: alt3

Summary: A utility for converting FIG files (made by xfig) to other formats
Summary(ru_RU.KOI8-R):    FIG  ( xfig)   
License: MIT
Group: Graphics
Url: ftp://ftp.x.org/contrib/applications/drawing_tools/%name
Packager: Yury A. Zotov <yz@altlinux.ru>

Source0: %url/%name.%version.tar.bz2
Source1: transfig-ru_RU.KOI8-R.ps
Source2: transfig-ru_RU.CP1251.ps
Source3: transfig-uk_UA.KOI8-U.ps
Patch1: %name.3.2.3c-strerror.patch
Patch2: %name.3.2.3d-alt4-makefile-fig2dev_libdir.patch


# Automatically added by buildreq on Mon Oct 06 2003
BuildRequires: XFree86-devel libpng-devel zlib-devel


%description
The %name utility creates a makefile which translates FIG (created by xfig)
or PIC figures into a specified LaTeX graphics language (for example,
PostScript).  Transfig is used to create TeX documents which are portable
(i.e., they can be printed in a wide variety of environments).

%description -l ru_RU.KOI8-R
 %name  makefile   FIG  PIC    
,  LaTeX ( PostScript).

%prep
%setup -q -n %name.%version
%patch1 -p1
%patch2 -p1

%build
xmkmf
make Makefiles

%ifarch alpha
%make_build CDEBUGFLAGS="$RPM_OPT_FLAGS" EXTRA_DEFINES="-Dcfree=free"
%else
%make_build CDEBUGFLAGS="$RPM_OPT_FLAGS"
%endif

%install
%__mkdir_p $RPM_BUILD_ROOT{%_x11libdir,%_x11mandir}
%make_install install install.man \
	BINDIR=$RPM_BUILD_ROOT%_x11bindir \
	MANSOURCEPATH=$RPM_BUILD_ROOT%_x11mandir\
	XFIGLIBDIR=$RPM_BUILD_ROOT%_x11libdir/xfig \
	FIG2DEV_LIBDIR=$RPM_BUILD_ROOT%_x11libdir/fig2dev \
	#

# Dunno why these are not installed
for i in fig2ps2tex fig2ps2tex.sh pic2tpic; do
	%__install -p -m755 fig2dev/$i.script $RPM_BUILD_ROOT%_x11dir/bin/$i
done

# Correct bitmaps permissions.
%__chmod 644 $RPM_BUILD_ROOT%_x11libdir/xfig/bitmaps/*

# Correct manpages location.
%__mv $RPM_BUILD_ROOT%_x11dir/man1 $RPM_BUILD_ROOT%_x11mandir/

%__install -p -m644 %SOURCE1 $RPM_BUILD_ROOT%_x11libdir/fig2dev/ru_RU.KOI8-R.ps
%__install -p -m644 %SOURCE2 $RPM_BUILD_ROOT%_x11libdir/fig2dev/ru_RU.CP1251.ps
%__install -p -m644 %SOURCE3 $RPM_BUILD_ROOT%_x11libdir/fig2dev/uk_UA.KOI8-U.ps

%files
%_x11bindir/*
%_x11mandir/man?/*
%_x11libdir/fig2dev/*
%dir %_x11libdir/xfig
%_x11libdir/xfig/bitmaps
%doc CHANGES LATEX.AND.XFIG NOTES README

%changelog
* Mon Oct 06 2003 Yury A. Zotov <yz@altlinux.ru> 3.2.4-alt3
- BuildRequires updated for Sisyphus 20031005
- build with hasher

* Sat Mar 01 2003 Dmitry V. Levin <ldv@altlinux.org> 3.2.4-alt2
- Specfile cleanup. Fixed severe packaging error (#0002306).

* Tue Feb 25 2003 Yury A. Zotov <yz@altlinux.ru> 3.2.4-alt1
- new version

* Sun Jan 19 2003 Yury A. Zotov <yz@altlinux.ru> 3.2.3d-alt4
- added support for russian (koi8-r, cp1251) and ukrainian (koi8-u)
  languages when convert to PostScript
- language support files placement fixed
- xfig part of files installed into /usr/X11R6/lib/xfig
- changed maintainer

* Fri Oct 18 2002 Rider <rider@altlinux.ru> 3.2.3d-alt3
- Russian summary and description
- rebuild (gcc 3.2)

* Thu Oct 11 2001 Stanislav Ievlev <inger@altlinux.ru> 3.2.3d-alt2
- rebuilt with new libpng

* Wed May 30 2001 Stanislav Ievlev <inger@altlinux.ru> 3.2.3d-alt1
- 3.2.3d

* Thu Dec 14 2000 Dmitry V. Levin <ldv@fandra.org> 3.2.3c-ipl2mdk
- FHSification.

* Wed Jul 26 2000 Dmitry V. Levin <ldv@fandra.org> 3.2.3c-ipl1mdk
- 3.2.3c
- RE adaptions.

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 3.2.3b-1mdk
- new version
- bit of macroisation
- remove the strip code and bzip2 man code
- fix hte license
- remove the (obsolete?) patch

* Wed May 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.2.3-2mdk
- redone the previous patch which was not used anymore, because
  it was needed to build fig2dev, which is needed by xfig

* Fri May 05 2000 Daouda Lo <daouda@mandrakesoft.com> 3.2.3-1mdk
- release 3.2.3 (xfig depends on %name >= 3.2.3 ) (lebsack)

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 3.2.1a-2mdk
- fix group

* Fri Nov 5 1999 Damien Krotkine <damien@mandrakesoft.com>
- Version 3.2.1a

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.2.1.

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- add %clean.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Nov 13 1997 Otto Hammersmith <otto@redhat.com>
- fixed problem with Imakefile for fig2dev not including $(XLIB)
- build rooted.

* Fri Oct 24 1997 Otto Hammersmith <otto@redhat.com>
- recreated the glibc patch that is needed for an alpha build, missed it
  building on the intel.

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- updated version
- fixed source url

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
